
DOSUBST_INIT_MK =

noinst_SCRIPTS		+= dosubst

EXTRA_DIST		+= dosubst.in

CLEANFILES		+= dosubst

MAINTAINERCLEANFILES	+= dosubst.in

dosubst : dosubst.in
	./config.status --file=$@
	chmod +x $@

dosubst.in : configure.ac
	autoconf -t 'AC_SUBST:$$1' \
	| perl 		\
		-e 'chomp(@L=<STDIN>);' \
		-e 'print qq<#!/usr/bin/env perl\n>;' \
		-e 'print q<sub veval {my $$s = shift; $$s =~ s/@/\\\\@/g; $$s =~ s/\\$$\\$$/\\\\\\$$/g; $$s =~ s/"/\\\\"/g; eval qq[qq[$$s]]}>, qq<\n>;' \
		-e 'print qq<\$$$$_ = q[\@$$_\@];\n> foreach @L;' \
		-e 'print qq<\$$$${_}_EVAL = veval q[\@$$_\@];\n> foreach @L;' \
		-e 'print qq<\n>;' \
		-e 'print qq<while(<>) {\n>;' \
		-e 'print qq<    s/[@]$${_}[@]/\$\$$$${_}/go;\n> foreach @L;' \
		-e 'print qq<    s/[@]$${_}_EVAL[@]/\$\$$$${_}_EVAL/go;\n> foreach @L;' \
		-e 'print qq<    print;\n}\n>;' \
	> $@
